# -*- coding: utf-8 -*-
"""
@author: N.DOUCELIN
AIDE POUR TRACES DE DEUX COURBES SUR LE MEME GRAPHE EN TP  DE SII
(A executer avec python 3.X)
Exemple de superposition de courbes:
- Une courbe dont on connait l'expression (courbe obtenue par modelisation)
- Une courbe dont on connait une liste de valeurs (courbe experimentale)
- On peut eventuellement placer une 3e courbe correspondant au cahier des
charges (pour le TP sur la direction assistee electrique).
"""

import numpy as np
import matplotlib.pyplot as plt #Importation de la bibliotheque de trace de courbes
import math as mt

####################Courbe obtenue par modelisation :##########################

#Definition de la fonction issue du modele:
def f(t):
    #A vous de completer l'ecriture de votre fonction
    '''Exemple de fonction : '''    
    return mt.exp(t)# a remplacer par l'expression de votre fonction.

#Creation de la courbe du modele :
X_mod = np.linspace(0,2,1000) #debut: 0, fin: 2, 1000 valeurs => Adaptez
#les valeurs de debut et fin pour les abscisses.
Y_mod = [f(t) for t in X_mod] #Creation de la liste des ordonnees a partir
# de la fonction f(t) issue du modèle
plt.plot(X_mod,Y_mod, label='Courbe du modele',color = 'blue') # on peut 
# demander une couleur pour la reperer


########################Courbe experimentale :###############################

#Liste des abscisses :
X_exp = [0,0.5,1,1.5,2] # a remplacer par votre liste de valeurs (obtenuee a 
# partir de vos mesures) .

#Liste des ordonnees (longueur egale a la liste des abscisses :
Y_exp = [1,2,3,4,5]# a vous de creer votre liste d'ordonnees a partir de vos 
# mesures

#Creation de la courbe experimentale :
plt.plot(X_exp,Y_exp, color = 'red', label='Courbe experimentale')

#Legende sur l'axe des abscisses:
plt.xlabel('Axe des X') #placez la legende des abscisses

#Legende sur l'axe des ordonnees:
plt.ylabel('Axe des Y') # placez la legende des ordonnees

#Creation de grille :
plt.grid()

#Creation de la legende:
plt.legend()

#Titre : Ecrivez ici le titre de votre etude
plt.title('Lois entree-sortie geometrique du systeme Bidule')

#Creation d'un fichier image pour pouvoir l'inserer dans votre diaporama:
# (le fichier sera place dans le meme dossier que le script)
plt.savefig('Lois entrée sortie du système bidule.png')
# On pourrait creer la courbe en format pdf en remplaçant png par pdf (ou jpg)

plt.show() #Pour montrer la courbe.
