# -*- coding: utf-8 -*-
"""
Procedure de lecture d'un fichier de format csv cree par le logiciel de 
traitement des mesures. fichier est l'objet recevant l'ouverture de flux depuis
le fichier csv. Il permet a la fonction lire_fichier d'ouvrir le fichier
concerne, puis de le parcourir. Ce fichier est de la forme:
                           x-axis,2
                           second,Volt
                           -7,500E-06;-65,452144E-03
                           -5,000E-06;-65,452144E-03
Ouvrez votre fichier de mesure (format csv) avec le bloc notes pour le
visualiser
"""  

# Creation de la fonction d'importation de fichier de donnees:
    
def lire_fichier(nomfichier):
  
    fichier=open(nomfichier,'r')#Ouverture d'un flux de lecture du fichier csv
    Liste1 = []#creation d'un liste vide destinee a recevoir les valeurs de
    #la premiere colonne, ici le temps.
    Liste2 = []#creation d'un liste vide destinee a recevoir les valeurs de
    #la deuxieme colonne, ici la tension electrique.
#    for ligne in Liste_Mesures:
    for ligne in fichier:
        try:#on essaie de traiter la ligne si elle contient des valeurs numeriques
            """
            Creation d'une liste a 2 termes par comprehension et affectation
            des valeurs aux variables a et b :"""
            a,b=[chaine_caracteres for chaine_caracteres in ligne.split(';')]
            """
            ou ligne.split(",") si le separateur dans le fichier csv est ","
            """
            #lignes.split(',') cree une liste a deux termes pour chaque ligne
            #du fichier csv: [valeur du temps, valeur de la tension]
            """Si jamais les nombres sont au format xx,xx et non xx.xx :"""
            a=a.replace(",",".")
            b=b.replace(",",".")
            a=float(a)#on convertit a en nombre a virgule flottante (il etait
            #de type chaine de caracteres)
            b=float(b)#on convertit b en nombre a virgule flottante.
            Liste1.append(a)#on ajoute a à Liste1.
            Liste2.append(b)#on ajoute b à Liste2.
        except:
            # c'est le cas ou la ligne n'est pas numerique, chaine_caracteres
            #n'est pas convertible en flottant : on ne fait rien.
            #La suite des instructions de la boucle n'est pas executee. On
            #passe a l'iteration de boucle suivante directement.
            continue
    fichier.close()#on ferme le flux de donnees depuis le fichier csv
    return Liste1,Liste2

#Creation des listes de valeurs temps (a executer avec votre fichier de mesures):
Liste_Entree,Liste_Sortie = lire_fichier("Fichier_mesure_test.csv")

# Creation rapide de la courbe:
import matplotlib.pyplot as plt
plt.plot(Liste_Entree,Liste_Sortie)
plt.show()
